Package weka.classifiers.trees.j48

# Class SplitCriterion

java.lang.Object
weka.classifiers.trees.j48.SplitCriterion

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Direct Known Subclasses:
  `EntropyBasedSplitCrit`

public abstract class SplitCriterion extends Object implements Serializable, RevisionHandler
Abstract class for computing splitting criteria with respect to distributions of class values.

Version:
  $Revision: 1.8 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SplitCriterion()`

## Method Summary

Modifier and Type
Method
Description
`double`
`splitCritValue(Distribution bags)`
Computes result of splitting criterion for given distribution.
`double`
`splitCritValue(Distribution train, Distribution test)`
Computes result of splitting criterion for given training and test distributions.
`double`
`splitCritValue(Distribution train, Distribution test, int noClassesDefault)`
Computes result of splitting criterion for given training and test distributions and given number of classes.
`double`
`splitCritValue(Distribution train, Distribution test, Distribution defC)`
Computes result of splitting criterion for given training and test distributions and given default distribution.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface weka.core.RevisionHandler

`getRevision`

## Constructor Details

### SplitCriterion

public SplitCriterion()

## Method Details

### splitCritValue

public double splitCritValue(Distribution bags)
Computes result of splitting criterion for given distribution.

Returns:
  value of splitting criterion. 0 by default

### splitCritValue

public double splitCritValue(Distribution train, Distribution test)
Computes result of splitting criterion for given training and test distributions.

Returns:
  value of splitting criterion. 0 by default

### splitCritValue

public double splitCritValue(Distribution train, Distribution test, int noClassesDefault)
Computes result of splitting criterion for given training and test distributions and given number of classes.

Returns:
  value of splitting criterion. 0 by default

### splitCritValue

public double splitCritValue(Distribution train, Distribution test, Distribution defC)
Computes result of splitting criterion for given training and test distributions and given default distribution.

Returns:
  value of splitting criterion. 0 by default